SF3.7 to SF4.4 error ( Missing files ) - Upgrading Sitefinity - Upgrading Sitefinity - Progress Community
 Upgrading Sitefinity

SF3.7 to SF4.4 error ( Missing files )

  • SF3.7 to SF4.4 error ( Missing files )
  • Hi, 

    I'm having problems migrating to SF4.4 from SF3.7.

    I'm getting the following error: 
    Installation package failed for the build version of the specified SF3.7 project is missing.

    What can I do to fix this?

    I'm using the migrating tool that came with the installation of SF4.4.
    It first asked for the path of my project, so 'n browsed to the web folder.
    Then it asked the url, so I gave my url of the project on my pc.

    Any help would greatly appreciated!! Really need this to work, the site have lots of pages.

    Kind Regards,
    Gerrit

  • This error message usually occurs when the Sitefinity 3 site is either not the latest version (SP4) or if it is running on asp.net 2.0.

    Currently the migration service that is installed into the Sitefinity 3 site requires at least asp.net 3.5. If your site is running on asp.net 2.0 it must be upgraded to at least asp.net 3.5 or 4.0 to be able to run the migration service.

    Let me know if this is not the case. hope this is helpful!
  • Thank you! We are currently on .Net 2 version, so I think that is very possible to be the problem, will convert to .Net 4 and let you know if there is more issues.

    Thanks for the help! :)